<form nz-form [formGroup]="createForm">
  <nz-card nzSize="small" [nzTitle]="'Common.Extra.Support.createSupportTicket' | translate">
    <div nz-row style="margin-top: 5px">
      <div nz-col nzSpan="8">{{ "Common.Extra.Support.Subject" | translate }}</div>
      <div nz-col nzSpan="16">
        <input nz-input placeholder="{{'Common.Extra.Support.Subject' | translate}}" formControlName="title" />
      </div>
    </div>
    <div nz-row style="margin-top: 5px">
      <div nz-col nzSpan="8">{{ "Common.Extra.Support.Description" | translate }}</div>
      <div nz-col nzSpan="16">
        <textarea nz-input placeholder="Description" formControlName="description" nzAutosize
          [nzAutosize]="{ minRows: 3 }"></textarea>
      </div>
    </div>
    <div nz-row style="margin-top: 5px">
      <div nz-col nzSpan="8">{{ "Common.Extra.Support.Category" | translate }}</div>
      <div nz-col nzSpan="16">
        <nz-select formControlName="typeId" style="width: 100%" nzAllowClear [nzPlaceHolder]="'Common.Extra.Support.chooseCategory' | translate"
          [nzLoading]="types === undefined">
          <nz-option *ngFor="let item of types" [nzValue]="item.id" [nzLabel]="item.symbol"></nz-option>
        </nz-select>
      </div>
    </div>

    <div nz-row style="margin-top: 5px">
      <div nz-col nzSpan="4" nzOffset="10">
        <button nz-button nzShape="round" [nzLoading]="isLoading" nzType="primary"
          style="background-color: green; border-color: darkgreen;" (click)="submit()">
          {{ "Common.Buttons.Create" | translate }}
        </button>
      </div>
    </div>
  </nz-card>
</form>